Get customer's cards' info

Retrieves detailed information for all cards associated with a customer, including card details, status, credit information, and transaction summaries.

This endpoint can be called after the orderCard endpoint is called successfully.

Important considerations:

  • Can be called only after orderCard has been called successfully.
  • If called before activation, only partial card information is returned.
  • If card_number is an empty string, the card is NOT READY for activation.
  • card_id is optional; if not provided, all cards for the customer are returned.
  • reorder_card_status filters cards based on their reorder status.
  • card_type can filter cards by type.
  • Admin users can query cards for any customer by providing customer_id.
  • Response includes credit information, debt summaries, and billing cycle details.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int64

Determines which customer's info to return.
Only mandatory in admin requests, will be ignored otherwise .

int64

Determines which card's info to return.
If not sent, the endpoint will return information on all the customer's cards

int64

Represents the customer's current status in the reorder card flow.
Takes the value of 1 if the customer is not currently in a reorder card flow
If != 1 returns the replaced card's number, and in all cases this same value
is echoed back in the response.
Defaults to 1 if not present

int64

Determines which card types to return.
If not sent, the endpoint will return information on all the customer's cards type

Headers
string
required

OAuth token belonging to the e-commerce

string

OAuth token belonging to the customer, required if it is not admin call

string

Basic authentication, required if it's an admin call

string

Client identifier, value must be "Admin", required if it's an admin call

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json